{% extends 'base.html.twig' %}

{% block header_img %}<img class="slide-image" src="{{ asset('img/todolist_content.jpg') }}" alt="todo list">{% endblock %}

{% block body %}
    <div class="row">
        {% for task in tasks %}
        <div class="col-sm-4 col-lg-4 col-md-4">
            <div class="thumbnail">
                <div class="caption">
                    <h4>{{ task.title }}</h4>
                    <p>{{ task.content }}</p>
                </div>
                <div>
                    <form action="{{ path('app_admin_tasks_delete', {'id' : task.id }) }}">
                        <button class="btn btn-danger btn-sm pull-right">Supprimer</button>
                    </form>
                </div>
            </div>
        </div>
        {% else %}
            <div class="alert alert-warning" role="alert">
                Il n'y a pas de tâche enregistrée sans utilisateurs. <a href="{{ path('task_create') }}" class="btn btn-warning pull-right">Créer une tâche</a>
            </div>
        {% endfor %}
    </div>
{% endblock %}
